Retivo

Connectors

Ingest events from Segment, PostHog, and Mixpanel

Ingest Segment events

POST
/api/connectors/segment

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[key: string]?unknown

Response Body

application/json

curl -X POST "https://retivo.ai/api/connectors/segment" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "accepted": 0,
  "users_upserted": 0
}

Ingest PostHog events

POST
/api/connectors/posthog

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[key: string]?unknown

Response Body

application/json

curl -X POST "https://retivo.ai/api/connectors/posthog" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "accepted": 0,
  "users_upserted": 0
}

Ingest Mixpanel events

POST
/api/connectors/mixpanel

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[key: string]?unknown

Response Body

application/json

curl -X POST "https://retivo.ai/api/connectors/mixpanel" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "accepted": 0,
  "users_upserted": 0
}